#include<bits/stdc++.h>
using namespace std;
int main()
{
    string s;
    cin >> s;
    long long res=0;
    for(int i=0;i<s.size();i++)
    {
        for(int j=i+3;j<s.size();j++)
        {
            bool bool2=true;
            string s2=s.substr(i,j-i+1);
            if(s2.size()%2==1)
            {
                continue;
            }
            for(int i=0;i<s.size();i++)
            {
                if(s2[i]!=s2[s2.size()-1-i])
                {
                    bool2=false;
                    break;
                }

            }
            if(bool2)
            {
                res+=s2.size()/2;
                i+=s2.size()/2-1;
                break;
            }

        }
    }
    cout << res;
}